Vraag & Antwoord

OS Linux

Ubuntu

40 antwoorden
  • Heb Ubuntu 9.10 Server geinstalleerd (nog bezig) en volg de man van howtoforge en op pag 3 en punt 8 aanpassen van sources.list krijg ik steeds foutmeldingen. Als ik nu de 1e regel pak (van de howto):[code:1:fdf9e7aa9a]deb http://de.archive.ubuntu.com/ubuntu/ karmic main restricted [/code:1:fdf9e7aa9a]en ik copy die (mbv Putty) rechtstreeks op de command line(dus niet naar sources.list) dan krijg ik de melding[code:1:fdf9e7aa9a]No command 'deb' found[/code:1:fdf9e7aa9a]Wat doe ik niet goed ?
  • Je moet de rgel latenvoorafgaan door sudo Je kunt als gewone gebruiker deze commando niet uitvoeren
  • ik werk als root andere opdrachten liepen ook zonder sudo heb, desondanks, toch sudo gebruikt. Als test met 1 (de eerste) regel in sources.list (rest even afgehekt) Dan de opdracht [code:1:155ddea00f]aptitude update[/code:1:155ddea00f]en krijg dan ook weer[code:1:155ddea00f]Err http://de.archive.ubuntu.com karmic Release.gpg Tijdelijke fout bij het opzoeken van 'de.archive.ubuntu.com'[/code:1:155ddea00f]dus blijf ik met de vraag: Wat doe ik verkeerd ? Wie heeft de lichtschakelaar ? bij voorbaat vriendelik dank.
  • zo te zien doe je niks verkeerd, maar was de server op dat moment niet (goed) bereikbaar. probeer het later eens opnieuw.
  • Nog even een toetje: Mijn netwerk is OK en pingen (ook naar DNS-server) is ook OK. Zou de duitse server tijdelijk niet goed werken ? Is er een NL-server waar de files gehaald kunnen worden ? Wat is dan de juist naam van die server en wat moet die dan precies vervangen in de DE-opdracht ? Is dat "de.archive.ubuntu.com" ? Hoor graag
  • [quote:3367346d0b="opamax"]Is er een NL-server waar de files gehaald kunnen worden ? [/quote:3367346d0b] Dat zou je tijdens installatie hebben kunnen instellen. Hoe dat achteraf kan, zou je wellicht kunnen vinden in deze hyperlink http://wiki.ubuntu-nl.org/community/InstallatieServerKarmic
  • Heb even gekeken naar Ubuntu-manual. Die is erg kort en daar zie ik geen -andere- mirrors. Wel zie ik daar dat de 9.10 maar 18 maanden wordt ondersteund en de 8.04 nog 5 jaar. Is er iemand met een dusdanig over/inzicht dat hij kan adviseren welk van die versies de voorkeur zou moeten hebben ? Hoor dat graag en waarvoor bij voorbaat vriendelijk dank.
  • Voor een server wil je doorgaans de LTS-versie hebben. Omdat die langer wordt ondersteund. Kijk hier eens: http://www.ubuntu.com/products/ubuntu/release-cycle Verdere info: http://sites.google.com/site/computertip/versiekeuze
  • Heb Ubuntu 8.04 Server geinstalleerd: Tot aan "It Works !" Dus netwerk en pingen OK. De NL-manual volgend(advies Jolo) krijg je een andere locatie om de files op te halen. Heb /etc/apt/sources.list zo aangepast dat alleen de regel[code:1:445b8980e3]deb http://de.archive.ubuntu.com/ububtu hardy-updates main restricted[/code:1:445b8980e3]niet is afgehekt. Doe ik apt-get update dan krijg ik o.a.:[code:1:445b8980e3]Kon 'de.archive.ubuntu.com'niet vinden[/code:1:445b8980e3]met de opdracht: sudo apt-get update was het resultaat idem Dan in sources.list als enige regel zonder hekje:[code:1:445b8980e3]deb http://nl.archive.ubuntu.com/ubuntu/ hardy-updates main restricted[/code:1:445b8980e3] en dan apt-get update krijg ik: "Kon 'nl.archive.ubuntu.com' niet vinden. Googelend op "nl.archive.ubuntu.com" dan kom ik Bij BIT, waar files genoemd worden voor Ubuntu 9.10 Kan dat laatste een probleem zijn ? Of een ander probleem? Zijn er andere mirrors bekend ? ps: met "apt-get" wordt toch -uitsluitend- sources.list uitgevoerd ?
  • Ik zie geen fouten in de Codes. Kun je nog wel gewoon downloaden in je Ubuntu 8.04.4 Server? Of kun je nog steeds vanaf een andere PC in je Ubuntu 8.04.4 Server komen? Commando [code:1:60478fc6ba] sudo apt-get update [/code:1:60478fc6ba][Enter] gebruikt inderdaad alleen /etc/apt/sources.list
  • Downloaden vanaf Ubuntu 8.04: Heb zojuist gedaan:[code:1:f696df176a]apt-get install quota[/code:1:f696df176a]en krijg dan:[code:1:f696df176a]Pakketlijsten worden ingelzen....Klaar Boom van vereisten wordt opgebouwd Reading state information.....Klaar Pakket quota is niet beschikbaar, hoewel er naar verwezen wordt door een ander pakket. Mogelijk betekent dit dat het pakket ontbreekt,verouderd is, of enkel beschikbaar is van een andere bron. E: Pakket quota heeft geen installeerbare kandidaat[/code:1:f696df176a] Vanaf een andere pc goed bereikbaar (pingen) en ook met putty. Via die verbinding en als root: apt-get update geeft o.a. "Kon 'nl.archive.ubuntu.com'niet vinden" En met: SUDO apt-get update dezelfde melding (en nog veel meer) Zonet nog even gedaan: [code:1:f696df176a]apt-get install bind9[/code:1:f696df176a]en dan krijg ik:[code:1:f696df176a]Pakketlijjsten worden ingelezen......Klaar Boom van vereisten wordt opgebouwd Reading state information.......Klaar Pakket bind9 is niet beschikbaar, hoewel er naar verwezen wordt door een ander pakket. Mogelijk betekent dit dat het pakket ontbreekt, verouderd is, of enkel beschikbaar is van een andere bron. Echter, de volgende pakketten vervangen dit: dnsutils E: Pakket bind9 heeft geen installeerbare kandidaat[/code:1:f696df176a]Wat is er verkeerd en wat te doen ?
  • Ik bedoelde eigenlijk downloaden buiten apt-get om. Dus bijvoorbeeld via commando wget. Informatie daarover staat onder andere op Wikipedia http://en.wikipedia.org/wiki/Wget Of downloaden via een tekst browser. Zoals Lynx http://en.wikipedia.org/wiki/Lynx_%28web_browser%29 Voor het niet (meer) functioneren van apt-get heb ik vooralsnog geen verklaring. Had je de originele /etc/apt/source.list en andere gewijzigde configuratie bestanden nog bewaard?
  • Mag ik dan 2 voorbeelden om met 'wget' te downloaden ? Ja, de originele inhoud van sources.list is nog in tact, maar afgehekt.
  • [quote:677e466796="opamax"] Mag ik dan 2 voorbeelden om met 'wget' te downloaden ? [/quote:677e466796] Één daarvan staat al in die Wikipedia hyperlink van wget [code:1:677e466796] wget ftp://ftp.gnu.org/pub/gnu/wget/wget-latest.tar.gz [/code:1:677e466796][Enter] Een ander voorbeeld heb ik zo gauw niet bij de hand. Dat hangt er vanaf wat je wilt downloaden. Als ik dit hier doe, dan krijg ik deze output [code:1:677e466796] jolo@Hoofd-PC:~$ wget ftp://ftp.gnu.org/pub/gnu/wget/wget-latest.tar.gz --2010-02-12 20:54:07-- ftp://ftp.gnu.org/pub/gnu/wget/wget-latest.tar.gz => `wget-latest.tar.gz' Herleiden van ftp.gnu.org... 140.186.70.20 Verbinding maken met ftp.gnu.org|140.186.70.20|:21... verbonden. Inloggen als anonymous... Ingelogd! ==> SYST ... gereed. ==> PWD ... gereed. ==> TYPE I ... gereed. ==> CWD /pub/gnu/wget ... gereed. ==> SIZE wget-latest.tar.gz ... 2464747 ==> PASV ... gereed. ==> RETR wget-latest.tar.gz ... gereed. Lengte: 2464747 (2,3M) 100%[======================================>] 2.464.747 374K/s in 6,9s 2010-02-12 20:54:15 (347 KB/s) - 'wget-latest.tar.gz' opgeslagen [2464747] [/code:1:677e466796]
  • doe ik: wget ftp://ftp.gnu.org/pub/gnu/wget/wget-latest.tar.gz dan krijg ik::[code:1:a2a02c3b1c]root@ubuntu:~# wget ftp://ftp.gnu.org/pub/gnu/wget/wget-latest.tar.gz --09:38:08-- ftp://ftp.gnu.org/pub/gnu/wget/wget-latest.tar.gz => `wget-latest.tar.gz' Resolving ftp.gnu.org... failed: Name or service not known. root@ubuntu:~#[/code:1:a2a02c3b1c]Dus...????????
  • En hoe zat het met die test met downloaden via een tekst browser Zoals Lynx http://en.wikipedia.org/wiki/Wget Die ik een paar berichten eerder noemde. Dan even resumeren. Je kan nog wel bij de Ubuntu Server komen met putty via het netwerk. sudo apt-get update geeft fouten. wget ftp://ftp.gnu.org/pub/gnu/wget/wget-latest.tar.gz geeft een foutmelding. Kun je vanaf de Ubuntu Server nog wel pingen naar je internet provider? Post eventueel de output van [code:1:98ab2e3e64] ifconfig [/code:1:98ab2e3e64][Enter] En post de inhoud van je [code:1:98ab2e3e64] /etc/network/interfaces [/code:1:98ab2e3e64]
  • >wget: zie mijn vorig bericht van:13 feb 8:40 >vanaf een andere pc kan ik met Putty naar de server >apt-et update geeft fouten >sudo apt-get geeft ook fouten >vanaf de server pingen naar (oa) internetprovider OK >/etc/network/interfaces geeft:[code:1:0c5103b4c6]# This file describes the network interfaces available on your system # and how to activate them. For more information, see interfaces(5). # The loopback network interface auto lo iface lo inet loopback # The primary network interface auto eth0 iface eth0 inet static address 10.0.0.1 netmask 255.255.255.0 network 10.0.0.0 broadcast 10.0.0.255 gateway 10.0.0.2 # dns-* options are implemented by the resolvconf package, if installed # dns-nameservers 213.136.12.51 # dns-search [domain][/code:1:0c5103b4c6]Hopelijk ziet u ergens een fout
  • Om het één en ander te kunnen controleren, vergat ik zo te zien nog een belangrijke output te vragen. Namelijk de output van commando [code:1:713d6ce4fe] route [/code:1:713d6ce4fe][Enter] Die gateway IP adres is, waarmee je in je router zou moeten kunnen komen. Check ook nog je /etc/resolv.conf waarin de nameservers van je router of je provider zouden moeten staan.
  • route geeft:[code:1:f16c80ccd8]Kernel IP routing table Destination Gateway Genmask Flags Metric Ref Use Iface localnet * 255.255.255.0 U 0 0 0 eth0 default 10.0.0.2 0.0.0.0 UG 100 0 0 eth0 [/code:1:f16c80ccd8]en in /etc/resov.conf staat:[code:1:f16c80ccd8]search [domain] nameserver 213.136.12.51 [/code:1:f16c80ccd8]
  • Ik zie vooralsnog geen fouten. Waarschijnlijk kom ik daar later nog op terug. Intussen zou je die Ubuntu 9.10 Server howtoforge nogmaals kunnen nalopen.

Beantwoord deze vraag

Weet jij het antwoord op deze vraag? Registreer of meld je aan met je account

Dit is een gearchiveerde pagina. Antwoorden is niet meer mogelijk.